{
  "name": "hrhx-base-ui",
  "version": "2.0.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve --mode dev",
    "build:dev": "vue-cli-service build --mode dev",
    "build:prod": "vue-cli-service build --mode prod",
    "lint": "vue-cli-service lint",
    "lint:eslint": "eslint --fix --ext \"src/**/*.{vue,less,css,scss}\"",
    "lint:prettier": "prettier --write --loglevel warn \"src/**/*.{js,json,tsx,css,less,scss,vue,html,md}\""
  },
  "dependencies": {
    "@babel/plugin-proposal-nullish-coalescing-operator": "^7.17.12",
    "@babel/plugin-proposal-optional-chaining": "^7.14.5",
    "ant-design-vue": "^1.7.7",
    "axios": "^0.18.0",
    "dat.gui": "^0.7.9",
    "dayjs": "^1.11.5",
    "default-passive-events": "^2.0.0",
    "echarts": "^5.3.2",
    "element-ui": "^2.15.10",
    "enquire.js": "^2.1.6",
    "leaflet": "^1.9.2",
    "leaflet-velocity": "^2.1.2",
    "leaflet.pm": "^2.2.0",
    "lodash": "^4.17.20",
    "lodash.pick": "^4.4.0",
    "npm": "^6.14.7",
    "nprogress": "^0.2.0",
    "ol": "^6.15.1",
    "ol-wind": "^1.1.1-alpha.2",
    "screenfull": "^5.0.2",
    "tinymce": "5.3.0",
    "vue": "2.6.10",
    "vue-cropper": "^0.5.8",
    "vue-json-editor": "^1.4.3",
    "vue-loader": "^15.9.3",
    "vue-ls": "^3.2.0",
    "vue-photo-preview": "^1.1.3",
    "vue-print-nb": "^1.5.0",
    "vue-print-nb-jeecg": "^1.0.9",
    "vue-router": "^3.3.4",
    "vuex": "^3.5.1",
    "vuex-class": "^0.3.1",
    "webpack-bundle-analyzer": "^4.6.1"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "^3.3.0",
    "@vue/cli-plugin-eslint": "~4.5.0",
    "@vue/cli-service": "^3.3.0",
    "@vue/eslint-config-prettier": "^6.0.0",
    "@vue/eslint-config-standard": "^4.0.0",
    "babel-eslint": "^10.1.0",
    "babel-plugin-component": "^1.1.1",
    "compression-webpack-plugin": "^3.1.0",
    "eslint": "^6.8.0",
    "eslint-plugin-prettier": "^3.3.1",
    "eslint-plugin-vue": "^6.2.2",
    "html-webpack-plugin": "^4.3.0",
    "less": "^3.12.2",
    "less-loader": "^4.1.0",
    "prettier": "^2.7.1",
    "sass": "^1.52.3",
    "sass-loader": "10",
    "vue-template-compiler": "2.6.10",
    "webpack": "^4.44.1"
  },
  "postcss": {
    "plugins": {
      "autoprefixer": {
        "grid": false
      }
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ]
}
